> ## Documentation Index
> Fetch the complete documentation index at: https://devdocs.xbox.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Latest Scorecard

> Gets the latest scorecard of the experiment for the title.

Allowed entity token types: title

## Error codes

This operation may return the following PlayFab errors:

| Error | Code |
| --- | --- |
| ExperimentationExperimentNotFound | 7002 |
| ExperimentationNoScorecard | 7009 |
| FeatureNotConfiguredForTitle | 1177 |
| ProductDisabledForTitle | 1609 |




## OpenAPI

````yaml /services/playfab/api-references/rest/experimentation/experimentation.openapi.json post /Experimentation/GetLatestScorecard
openapi: 3.0.0
info:
  version: '260922'
  title: PlayFab Experimentation API
  description: APIs for managing experiments.
  termsOfService: https://playfab.com/terms/
  contact:
    url: https://community.playfab.com/index.html
  license:
    name: Apache 2.0
    url: https://github.com/PlayFab/API_Specs/blob/master/LICENSE
servers:
  - url: https://{titleId}.playfabapi.com
    description: PlayFab title endpoint
    variables:
      titleId:
        default: your_title_id
        description: Your PlayFab title ID (hex).
security: []
tags:
  - name: Experimentation
    description: ''
paths:
  /Experimentation/GetLatestScorecard:
    post:
      tags:
        - Experimentation
      summary: Get Latest Scorecard
      description: |
        Gets the latest scorecard of the experiment for the title.

        Allowed entity token types: title

        ## Error codes

        This operation may return the following PlayFab errors:

        | Error | Code |
        | --- | --- |
        | ExperimentationExperimentNotFound | 7002 |
        | ExperimentationNoScorecard | 7009 |
        | FeatureNotConfiguredForTitle | 1177 |
        | ProductDisabledForTitle | 1609 |
      operationId: GetLatestScorecard
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetLatestScorecardRequest'
        description: >-
          Given a title entity token and experiment details, will return the
          latest available scorecard.
      responses:
        '200':
          $ref: '#/components/responses/GetLatestScorecardResult'
        '400':
          $ref: '#/components/responses/ApiErrorWrapper'
      security:
        - EntityToken: []
components:
  schemas:
    GetLatestScorecardRequest:
      description: >-
        Given a title entity token and experiment details, will return the
        latest available scorecard.
      type: object
      properties:
        CustomTags:
          description: >-
            The optional custom tags associated with the request (e.g. build
            number, external trace identifiers, etc.).
          type: object
        ExperimentId:
          description: The ID of the experiment.
          type: string
      example:
        ExperimentId: 00000000-0000-0000-0000-000000000000
    GetLatestScorecardResult:
      type: object
      properties:
        Scorecard:
          allOf:
            - $ref: '#/components/schemas/Scorecard'
          description: Scorecard for the experiment of the title.
      example:
        Scorecard: {}
    ApiErrorWrapper:
      description: The basic wrapper around every failed API response
      type: object
      properties:
        code:
          description: Numerical HTTP code
          type: integer
        status:
          description: String HTTP code
          type: string
        error:
          description: Playfab error code
          type: string
        errorCode:
          description: Numerical PlayFab error code
          type: integer
        errorMessage:
          description: Description for the PlayFab errorCode
          type: string
        errorDetails:
          description: Detailed description of individual issues with the request object
          type: object
      required:
        - code
        - errorCode
    Scorecard:
      type: object
      properties:
        DateGenerated:
          description: Represents the date the scorecard was generated.
          type: string
        Duration:
          description: Represents the duration of scorecard analysis.
          type: string
        EventsProcessed:
          description: >-
            Represents the number of events processed for the generation of this
            scorecard
          type: number
          x-actualtype: double
        ExperimentId:
          description: Id of the experiment.
          type: string
        ExperimentName:
          description: Friendly name of the experiment.
          type: string
        LatestJobStatus:
          allOf:
            - $ref: '#/components/schemas/AnalysisTaskState'
          description: Represents the latest compute job status.
        SampleRatioMismatch:
          description: >-
            Represents the presence of a sample ratio mismatch in the scorecard
            data.
          type: boolean
        ScorecardDataRows:
          description: Scorecard containing list of analysis.
          type: array
          items:
            $ref: '#/components/schemas/ScorecardDataRow'
          x-isclass: true
      required:
        - EventsProcessed
        - SampleRatioMismatch
    AnalysisTaskState:
      type: string
      enum:
        - Waiting
        - ReadyForSubmission
        - SubmittingToPipeline
        - Running
        - Completed
        - Failed
        - Canceled
    ScorecardDataRow:
      type: object
      properties:
        IsControl:
          description: Represents whether the variant is control or not.
          type: boolean
        MetricDataRows:
          allOf:
            - $ref: '#/components/schemas/MetricData'
          description: >-
            Data of the analysis with the internal name of the metric as the key
            and an object of metric data as value.
        PlayerCount:
          description: Represents the player count in the variant.
          type: number
          x-actualtype: uint32
        VariantName:
          description: Name of the variant of analysis.
          type: string
      required:
        - IsControl
        - PlayerCount
    MetricData:
      type: object
      properties:
        ConfidenceIntervalEnd:
          description: >-
            The upper bound of the confidence interval for the relative delta
            (Delta.RelativeValue).
          type: number
          x-actualtype: double
        ConfidenceIntervalStart:
          description: >-
            The lower bound of the confidence interval for the relative delta
            (Delta.RelativeValue).
          type: number
          x-actualtype: double
        DeltaAbsoluteChange:
          description: >-
            The absolute delta between TreatmentStats.Average and
            ControlStats.Average.
          type: number
          x-actualtype: float
        DeltaRelativeChange:
          description: >-
            The relative delta ratio between TreatmentStats.Average and
            ControlStats.Average.
          type: number
          x-actualtype: float
        InternalName:
          description: The machine name of the metric.
          type: string
        Movement:
          description: Indicates if a movement was detected on that metric.
          type: string
        Name:
          description: The readable name of the metric.
          type: string
        PMove:
          description: The expectation that a movement is real
          type: number
          x-actualtype: float
        PValue:
          description: The p-value resulting from the statistical test run for this metric
          type: number
          x-actualtype: float
        PValueThreshold:
          description: The threshold for observing sample ratio mismatch.
          type: number
          x-actualtype: float
        StatSigLevel:
          description: Indicates if the movement is statistically significant.
          type: string
        StdDev:
          description: Observed standard deviation value of the metric.
          type: number
          x-actualtype: float
        Value:
          description: Observed average value of the metric.
          type: number
          x-actualtype: float
      required:
        - PValueThreshold
        - Value
        - StdDev
        - DeltaRelativeChange
        - DeltaAbsoluteChange
        - PValue
        - PMove
        - ConfidenceIntervalStart
        - ConfidenceIntervalEnd
  responses:
    GetLatestScorecardResult:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              code:
                type: integer
                description: >-
                  The Http status code. If X-ReportErrorAsSuccess header is set
                  to true, this will report the actual http error code.
              status:
                type: string
                description: The Http status code as a string.
              data:
                $ref: '#/components/schemas/GetLatestScorecardResult'
            example:
              code: 200
              status: OK
              data:
                Scorecard: {}
    ApiErrorWrapper:
      description: This is the outer wrapper for all responses with errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ApiErrorWrapper'
  securitySchemes:
    EntityToken:
      type: apiKey
      in: header
      name: X-EntityToken
      description: >-
        This API requires an Entity Session Token, available from the Entity
        GetEntityToken method.

````

## Related topics

- [Get Latest Scorecard](/services/playfab/api-references/rest/experimentation/experimentation/get-latest-scorecard.md)
- [Experimentation APIs](/services/playfab/live-service-management/game-configuration/experiments/experimentation-apis.md)
- [Profile Reads Meter API Description](/services/playfab/pricing/meters/profile-reads.md)
- [GameInput for PC and console with NuGet](/build/core-features/common/input/overviews/input-nuget.md)
- [Scorecard metrics](/services/playfab/live-service-management/game-configuration/experiments/scorecard-metrics.md)
